Bug 516522

Summary: Review Request: globus-nexus - Globus Toolkit - Nexus Library
Product: [Fedora] Fedora Reporter: Mattias Ellert <mattias.ellert>
Component: Package ReviewAssignee: Steve Traylen <steve.traylen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, steve.traylen
Target Milestone: ---Flags: steve.traylen: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 6.7-1.el5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-10 17:44:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 516520, 516521    
Bug Blocks: 516523, 516524, 516525, 516526    

Description Mattias Ellert 2009-08-10 11:02:22 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-nexus.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-nexus-6.7-1.fc11.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-nexus package contains:
Nexus Library

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus

Comment 1 Steve Traylen 2009-11-03 22:48:43 UTC
Review of globus-nexus:

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1786846

yes: rpmlint
$ rpmlint SPECS/globus-nexus.spec RPMS/x86_64/globus-nexus-* 
   SRPMS/globus-nexus-6.7-1.fc12.src.rpm 
globus-nexus-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 1 warnings.

yes: package named as per-globus.
yes: spec file correct.
yes: globus guidelines good.
yes: ASL 2.0 in .spec
yes: contents is also ASL 2.0
yes: GLOBUS_LICEENSE include.
yes: english .spec
yes: legible spec.
yes: upstream matches.
$ diff --brief --recursive gt4.2.1-all-source-installer/source-trees/nexus/source ~/rpmbuild/SOURCES/globus_nexus-6.7
Only in /home/steve/rpmbuild/SOURCES/globus_nexus-6.7: GLOBUS_LICENSE
which is expected.
yes: compiles , see koji above.
yes: builds on all archs.
yes: builds on all archs.
yes: build dependencies sane.
yes: no locales anyway.
yes: ldoconfig called correctly.
yes: no statics.
yes: owns all directories.
yes: no duplicate files.
yes: all %defattr.
yes: %clean is cleaned.
yes: contains code.
yes: no large docs anyway.
yes: doc not needed.
yes: headers are in devel.
yes: pkgconfig required.
yes: devel does require base explicitly.
yes: no gui.
yes: owns all files or directories or pulls them in.
yes: %install is cleaned.
yes: utf8.

just libs all easy.

APPROVED.

Steve

Comment 2 Mattias Ellert 2009-11-05 04:56:23 UTC
Thank you for the review!

New Package CVS Request
=======================
Package Name: globus-nexus
Short Description: Globus Toolkit - Nexus Library
Owners: ellert
Branches: F-11 F-12 EL-4 EL-5
InitialCC:

Comment 3 Kevin Fenzi 2009-11-06 20:33:28 UTC
cvs done.

Comment 4 Fedora Update System 2009-11-07 08:18:16 UTC
globus-nexus-6.7-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/globus-nexus-6.7-1.fc12

Comment 5 Fedora Update System 2009-11-07 08:18:18 UTC
globus-nexus-6.7-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-nexus-6.7-1.el5

Comment 6 Fedora Update System 2009-11-07 08:18:22 UTC
globus-nexus-6.7-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-nexus-6.7-1.fc11

Comment 7 Fedora Update System 2009-11-07 08:18:24 UTC
globus-nexus-6.7-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-nexus-6.7-1.el4

Comment 8 Fedora Update System 2009-11-10 03:21:27 UTC
globus-nexus-6.7-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update globus-nexus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0819

Comment 9 Fedora Update System 2009-11-10 03:23:03 UTC
globus-nexus-6.7-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update globus-nexus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0829

Comment 10 Fedora Update System 2009-11-10 17:44:42 UTC
globus-nexus-6.7-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-11-10 17:48:44 UTC
globus-nexus-6.7-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-11-23 16:55:47 UTC
globus-nexus-6.7-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-23 16:56:23 UTC
globus-nexus-6.7-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.